=== debian/control ===
Source: ros-indigo-canopen-402
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-canopen-master, ros-indigo-catkin, ros-indigo-class-loader, ros-indigo-rosunit
Homepage: http://wiki.ros.org/canopen_402
Standards-Version: 3.9.2

Package: ros-indigo-canopen-402
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-canopen-master, ros-indigo-class-loader
Description: This implements the CANopen device profile for drives and motion control.
 CiA(r) 402
